Launcher, Window management - Dragging and holding a selection over an entry in the Launcher should spread out windows belonging to that application

Bug #607796 reported by Christian Giordano on 2010-07-20
842
This bug affects 182 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Critical
John Lea
Compiz
High
Marco Trevisan (Treviño)
0.9.11
High
Marco Trevisan (Treviño)
One Hundred Papercuts
Undecided
Unassigned
Unity
High
Marco Trevisan (Treviño)
7.2
Medium
Marco Trevisan (Treviño)
compiz (Ubuntu)
High
Marco Trevisan (Treviño)
Nominated for Precise by Rolf Leggewie
Trusty
Undecided
Unassigned
unity (Ubuntu)
High
Marco Trevisan (Treviño)
Nominated for Precise by Rolf Leggewie
Trusty
Undecided
Unassigned

Bug Description

[Impact]
If the user drags and hold a file over a running application in the Launcher, all the windows of that application should be shown with the spread. The user should then be able to drag and drop the file in a windows in the spread to load the file into that specific window.

[Test Case]
1) Open two windows instances of the same application (say firefox)
2) Drag a file from the file-manager or the desktop and hover the firefox icon
3) After one second the firefox icon is hovered, the spread will occur
4) You should be able to hover one of the firefox windows and it should
   show a spinner, after 750ms (by default) the hovered windows should be focused
   and raised
5) You should now be able to drop the content you're dragging (if the selected
   application supports that content).

[Regression Potential]
This codepath was mostly disabled in the current compiz and unity code because it was buggy, so the regression potential is very low, although it might happen that, if some race-condition happens, when closing the scale the launcher might be still painted as if it would be in scale mode (desaturated) even if it's not the case anymore.

*** SRU debdiff links ***
The Unity SRU debdiff for this can be found at https://launchpadlibrarian.net/180013321/unity-7.2.2-trusty-sru.debdiff.

The Compiz SRU debdiff for this can be found at https://launchpadlibrarian.net/180013356/compiz-0.9.11.2-trusty-sru.debdiff

###############################################

Bug #727903 needs to be fixed at the same time.

-----------------------------------------------

History:

This bug had been previously fixed as "buggybutclosed" for Unity on 2011-04-18, leaving this function with other bugs:
https://bugs.launchpad.net/ayatana-design/+bug/727903
https://bugs.launchpad.net/ayatana-design/+bug/727904
https://bugs.launchpad.net/ayatana-design/+bug/727902
https://bugs.launchpad.net/ayatana-design/+bug/764424
https://bugs.launchpad.net/ayatana-design/+bug/832988

On 2011-10-18, it was reopened for regression in Oneiric.

Related branches

lp:~3v1n0/compiz/scale-dndtarget-workarea-shape
Merged into lp:compiz/0.9.11 at revision 3861
Christopher Townsend: Approve on 2014-04-21
PS Jenkins bot: Approve (continuous-integration) on 2014-04-17
lp:~3v1n0/unity/dnd-launcher-icon-fixes
Merged into lp:unity at revision 3808
PS Jenkins bot: Approve (continuous-integration) on 2014-04-28
Christopher Townsend: Approve on 2014-04-21
Brandon Schaefer: Approve on 2014-04-16
lp:~unity-team/unity/7.2.2
Merged into lp:unity/7.2 at revision 3798
Marco Trevisan (Treviño): Approve on 2014-07-04
Superseded for merging into lp:unity
Unity Team: Pending requested 2014-07-01
lp:~compiz-team/compiz/0.9.11.2
Merged into lp:compiz/0.9.11 at revision 3864
Stephen M. Webb: Approve on 2014-07-11
PS Jenkins bot: Approve (continuous-integration) on 2014-07-11
Changed in ayatana-design:
assignee: nobody → David Siegel (djsiegel)

Launcher Specification, use case 2.17, documents this.

Changed in ayatana-design:
status: New → In Progress
summary: - Dragging and holding a file over a running application in the Launcher
- will cause temporary expose
+ Dragging and holding a selection over an entry in the Launcher should
+ spread out windows belonging to that application
Changed in ayatana-design:
status: In Progress → Fix Committed
Christian Giordano (nuthinking) wrote :

Reopened because waiting for actual implementation

Changed in ayatana-design:
status: Fix Committed → New
Neil J. Patel (njpatel) on 2010-08-20
Changed in unity:
assignee: nobody → Gord Allott (gordallott)
importance: Undecided → Low
milestone: none → 2010-09-02
status: New → Triaged
Neil J. Patel (njpatel) on 2010-09-05
Changed in unity:
milestone: 2010-09-02 → 2010-09-16
Christian Giordano (nuthinking) wrote :

wasn't this descoped?

Neil J. Patel (njpatel) on 2010-09-16
Changed in unity:
milestone: 2010-09-16 → backlog
David Barth (dbarth) on 2010-11-08
Changed in unity:
assignee: Gord Allott (gordallott) → Jason Smith (jassmith)
milestone: backlog → none
tags: added: backlog
Neil J. Patel (njpatel) on 2010-12-01
Changed in unity:
milestone: none → 3.4
Neil J. Patel (njpatel) on 2011-01-18
Changed in unity:
milestone: 3.4 → 3.6
David Barth (dbarth) wrote :

Can we get some re-confirmation from design on this feature?

Changed in unity:
status: Triaged → Incomplete
Mark Shuttleworth (sabdfl) wrote :

What is needed to reconfirm? Dragging to the launcher should spread all windows, and then dragging to a window should zoom in and focus that window. So one can drag to a particular window for a running app.

Changed in ayatana-design:
importance: Undecided → High
Changed in unity:
importance: Low → High
Changed in ayatana-design:
assignee: David Siegel (djsiegel) → John Lea (johnlea)
Mark Shuttleworth (sabdfl) wrote :

And this is a critical feature, please prioritise it accordingly, we need to test it.

Changed in unity-2d:
status: New → Confirmed
milestone: none → 3.6
importance: Undecided → High
Mirco Müller (macslow) wrote :

Folks, it is a needed feature, it is well-described, thus Jason can go ahead with the implementation do his magic :)

Changed in unity:
status: Incomplete → Confirmed
Mirco Müller (macslow) wrote :

Still waiting for the link to the feature-spec, so Jason has everything he needs.

There is no need for a feature-spec link:

  * any drag should show the launcher immediately, as an overlay if it
is not fixed in view
  * (optionally) apps which accept that type should be highlighted in
the launcher
  * hovering the drag over a running app should spread that app's windows
  * hovering over a scaled window in the spread should focus that window

Mark

Changed in unity-2d:
assignee: nobody → Shane Fagan (shanepatrickfagan)
Neil J. Patel (njpatel) on 2011-02-07
Changed in unity:
milestone: 3.6 → 3.4.4
Didier Roche (didrocks) on 2011-02-18
Changed in unity:
status: Fix Committed → Fix Released
joopbraak (joopbraak) wrote :

Is this related to #697358 ?

I removed all the unity components btw. Thanks for not having critical dependencies on that.

But I would like this functionality restored for the classic desktop as well. As well as being able to reshuffle the order of open windows.

joopbraak (joopbraak) wrote :
Changed in unity-2d:
assignee: Shane Fagan (shanepatrickfagan) → Olivier Tilloy (osomon)
milestone: 3.6 → none
Olivier Tilloy (osomon) on 2011-02-23
Changed in unity-2d:
status: Confirmed → In Progress
Changed in unity-2d:
status: In Progress → Triaged
John Lea (johnlea) on 2011-03-11
tags: added: udt
Changed in ayatana-design:
status: New → Fix Committed
John Lea (johnlea) wrote :

Reverted to triaged because:
- dropping the file on a window in the spread does nothing (the file should be loaded into that window)
- once a spread has appeared, dragging the file to another valid application icon in the launcher should switch the spread to that application. This currently doesn't work.
- if the user drags a file over a launcher icon for a app that only has one window open in the current workspace, that one window should be shown in spread view.

John Lea (johnlea) on 2011-03-11
Changed in unity:
status: Fix Released → Triaged
tags: added: delta-with-3d
Didier Roche (didrocks) on 2011-03-16
Changed in unity (Ubuntu):
status: New → Triaged
Changed in unity-2d:
milestone: none → 3.10
Neil J. Patel (njpatel) on 2011-04-01
Changed in unity:
status: Triaged → Fix Released
Omer Akram (om26er) on 2011-04-21
Changed in unity (Ubuntu):
status: Triaged → Fix Released
Changed in unity-2d:
milestone: 3.10 → none
Didier Roche (didrocks) on 2011-05-31
Changed in unity-2d (Ubuntu):
status: New → Triaged
John Lea (johnlea) wrote :

Re-opening this bug as this feature seems to have regressed in Oneiric and no longer works.

Changed in unity:
status: Fix Released → Confirmed
tags: added: udo
removed: reviewedbydesign
tags: removed: buggybutclosed
Changed in unity:
milestone: 3.4.4 → none
John Lea (johnlea) on 2011-10-18
Changed in unity:
milestone: none → backlog
Changed in ayatana-design:
status: Fix Committed → Triaged
tags: added: udp
John Lea (johnlea) on 2011-11-03
Changed in ayatana-design:
status: Triaged → Fix Committed
Andrea Azzarone (azzar1) wrote :

Can we make a list of the bugs that should be solved to re-enable this behavior?

cicoandcico (cicoandcico) wrote :

I think bug #863408 is related.
shouldn't this be set as a milestone for precise? DnD is a *key* feature of any desktop OS.

Omer Akram (om26er) on 2012-02-13
Changed in unity (Ubuntu):
status: Fix Released → Triaged
importance: Undecided → High
Changed in unity-2d (Ubuntu):
importance: Undecided → High
Michael Zaugg (AOI) (it-oas) wrote :

A quick fix for users is to enable the edge binding in the compiz scale plugin. So you can at least drag an drop in an other window (see http://askubuntu.com/a/43526/10475).

But this has to be fixed.
El 30/04/2012 17:41, "itoas" <email address hidden> escribió:

> A quick fix for users is to enable the edge binding in the compiz scale
> plugin. So you can at least drag an drop in an other window (see
> http://askubuntu.com/a/43526/10475).
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (963548).
> https://bugs.launchpad.net/bugs/607796
>
> Title:
> Dragging and holding a selection over an entry in the Launcher should
> spread out windows belonging to that application
>
> Status in Ayatana Design:
> Fix Committed
> Status in Unity:
> Confirmed
> Status in Unity 2D:
> Triaged
> Status in “unity” package in Ubuntu:
> Triaged
> Status in “unity-2d” package in Ubuntu:
> Triaged
>
> Bug description:
> If the user drags and hold a file over a running application in the
> Launcher, all the documents of that application should be shown with
> expose'. Add dismiss behavior on the specs.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
>

It's very odd this bug hasn't resolved yet permantly. I have to agree with Cicoandcico, Drag & Drop is a key elelement in every OS. Right now it's not even possible to move a file with D&D from one Nautilus window to another one, when both are maximized (what's the default behaviour).

The workaround Itoas tells us about works indeed, but is not acceptable for normal users. Hopefully this can be fixed ASAP for 12.04.

Thanks in advance

udit mahajan (mahajanudit) wrote :

Why has this bug not being addressed yet?

Drag and Drop becomes a vital part of developers' lives.

Also, now Ubuntu is more focusing on end user as a consumer for Ubuntu. For a normal user, drag and drop is all there is.

From chat client, to browser while sending mails, while shifting files, while sharing on skype etc...

A normal user will not even look for this on google. For him/her it will be something of a roadblock and simply drop the OS.

This needs to be addressed asap for Ubuntu to be the way Canonical want it to be.

manes (neschmuel) wrote :

It seems that DnD works with files and the launcher in "always show" mode. Probably this is a problem with the auto-hide function of the launcher?

DnD with marked text does not work.

Another problem I found, is that disabling auto-hide again does not work, the launcher stays in auto-hide mode, so I had to test DnD with the guest account.

hdpq (defectoscopny) wrote :

When I tried it, I had launcher behavior set to "always show". No DnD there. I even filed a bug which then turned out to be a duplicate of this one.

Sorry for the off-topic
but every time I decide to give Unity a try it screws me over -_-; it has gone even further this time - a few days ago I turned on my computer and Unity was gone from the session menu and I couldn't get it fixed. Wow.

If anyone can try installing Ubuntu 11.04 can probe that DnD it's working
out of the box.
 El 16/05/2012 17:25, "hdpq" <email address hidden> escribió:

> When I tried it, I had launcher behavior set to "always show". No DnD
> there. I even filed a bug which then turned out to be a duplicate of
> this one.
>
> Sorry for the off-topic
> but every time I decide to give Unity a try it screws me over -_-; it has
> gone even further this time - a few days ago I turned on my computer and
> Unity was gone from the session menu and I couldn't get it fixed. Wow.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (774240).
> https://bugs.launchpad.net/bugs/607796
>
> Title:
> Dragging and holding a selection over an entry in the Launcher should
> spread out windows belonging to that application
>
> Status in Ayatana Design:
> Fix Committed
> Status in Unity:
> Confirmed
> Status in Unity 2D:
> Triaged
> Status in “unity” package in Ubuntu:
> Triaged
> Status in “unity-2d” package in Ubuntu:
> Triaged
>
> Bug description:
> If the user drags and hold a file over a running application in the
> Launcher, all the documents of that application should be shown with
> expose'. Add dismiss behavior on the specs.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
>

Joaquin

Did you mean 12.04? Because it used to work on 11.04. That's why it's a
regression.

2012/5/17 Joaquin <email address hidden>

> If anyone can try installing Ubuntu 11.04 can probe that DnD it's working
> out of the box.
> El 16/05/2012 17:25, "hdpq" <email address hidden> escribió:
>
> > When I tried it, I had launcher behavior set to "always show". No DnD
> > there. I even filed a bug which then turned out to be a duplicate of
> > this one.
> >
> > Sorry for the off-topic
> > but every time I decide to give Unity a try it screws me over -_-; it has
> > gone even further this time - a few days ago I turned on my computer and
> > Unity was gone from the session menu and I couldn't get it fixed. Wow.
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (774240).
> > https://bugs.launchpad.net/bugs/607796
> >
> > Title:
> > Dragging and holding a selection over an entry in the Launcher should
> > spread out windows belonging to that application
> >
> > Status in Ayatana Design:
> > Fix Committed
> > Status in Unity:
> > Confirmed
> > Status in Unity 2D:
> > Triaged
> > Status in “unity” package in Ubuntu:
> > Triaged
> > Status in “unity-2d” package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > If the user drags and hold a file over a running application in the
> > Launcher, all the documents of that application should be shown with
> > expose'. Add dismiss behavior on the specs.
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (870769).
> https://bugs.launchpad.net/bugs/607796
>
> Title:
> Dragging and holding a selection over an entry in the Launcher should
> spread out windows belonging to that application
>
> Status in Ayatana Design:
> Fix Committed
> Status in Unity:
> Confirmed
> Status in Unity 2D:
> Triaged
> Status in “unity” package in Ubuntu:
> Triaged
> Status in “unity-2d” package in Ubuntu:
> Triaged
>
> Bug description:
> If the user drags and hold a file over a running application in the
> Launcher, all the documents of that application should be shown with
> expose'. Add dismiss behavior on the specs.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
>

--
Pablo Almeida
http://www.google.com/profiles/pabloalmeidaff9

Joaquin (jknvv13) wrote :
Download full text (3.6 KiB)

I said 11.04 because of that, that this was working on Natty.
El 18/05/2012 02:45, "Pablo Almeida" <email address hidden> escribió:

> Joaquin
>
> Did you mean 12.04? Because it used to work on 11.04. That's why it's a
> regression.
>
> 2012/5/17 Joaquin <email address hidden>
>
> > If anyone can try installing Ubuntu 11.04 can probe that DnD it's working
> > out of the box.
> > El 16/05/2012 17:25, "hdpq" <email address hidden> escribió:
> >
> > > When I tried it, I had launcher behavior set to "always show". No DnD
> > > there. I even filed a bug which then turned out to be a duplicate of
> > > this one.
> > >
> > > Sorry for the off-topic
> > > but every time I decide to give Unity a try it screws me over -_-; it
> has
> > > gone even further this time - a few days ago I turned on my computer
> and
> > > Unity was gone from the session menu and I couldn't get it fixed. Wow.
> > >
> > > --
> > > You received this bug notification because you are subscribed to a
> > > duplicate bug report (774240).
> > > https://bugs.launchpad.net/bugs/607796
> > >
> > > Title:
> > > Dragging and holding a selection over an entry in the Launcher should
> > > spread out windows belonging to that application
> > >
> > > Status in Ayatana Design:
> > > Fix Committed
> > > Status in Unity:
> > > Confirmed
> > > Status in Unity 2D:
> > > Triaged
> > > Status in “unity” package in Ubuntu:
> > > Triaged
> > > Status in “unity-2d” package in Ubuntu:
> > > Triaged
> > >
> > > Bug description:
> > > If the user drags and hold a file over a running application in the
> > > Launcher, all the documents of that application should be shown with
> > > expose'. Add dismiss behavior on the specs.
> > >
> > > To manage notifications about this bug go to:
> > > https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
> > >
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (870769).
> > https://bugs.launchpad.net/bugs/607796
> >
> > Title:
> > Dragging and holding a selection over an entry in the Launcher should
> > spread out windows belonging to that application
> >
> > Status in Ayatana Design:
> > Fix Committed
> > Status in Unity:
> > Confirmed
> > Status in Unity 2D:
> > Triaged
> > Status in “unity” package in Ubuntu:
> > Triaged
> > Status in “unity-2d” package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > If the user drags and hold a file over a running application in the
> > Launcher, all the documents of that application should be shown with
> > expose'. Add dismiss behavior on the specs.
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
> >
>
>
> --
> Pablo Almeida
> http://www.google.com/profiles/pabloalmeidaff9
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (963548).
> https://bugs.launchpad.net/bugs/607796
>
> Title:
> Dragging and holding a selection over an entry in the Launcher should
> spread out windows belonging to that application
>
> Status in Ayatana Design:
> Fix Committed
> Status in Unity:
> Confirmed
> Status in Unity 2...

Read more...

It is amazing how this hasn't been fixed yet. Right now, I can't even drag a photo from nautilus to a LibreOffice document. What I have to do to get the same result:
- Resize both Nautilus AND LO windows so they are both visible side to side
- Drag and drop the photo from Nautilus to LO
This is incredibly unintuitive and time consuming, especially for people working on reduced screen space, with all windows maximised, on a tablet or a netbook for example.
One should be able to:
- Drag a file to the launcher;
- Hover it on the app's icon for one second so the corresponding window comes to the foreground;
- Place the file wherever wanted on the document.
I hope this will be addressed soon and integrated in 12.04, as it is a LTS and should be as usable as possible.

1 comments hidden view all 122 comments
Robert Hrovat (robi-hipnos) wrote :

Few years ago a friend of mine was teasing me with words: Can Linux already know how to handle copy/paste? Face it, there are some problems with it. Now he started teasing me: Oh, you can't use drag and drop? ...

Thanks Ubuntu, you really know how to make Linux look stupid and useless.

Vincent (realmkeepersbox) wrote :

I don't need to put my 2c or sarcasm here, but bug is a year and a month older than my son. Anyone going to fix this or should we start a Fund for School fees?

1 comments hidden view all 122 comments

Did you guys hear about the new behavior of the spread windows screen?
Maybe they're saving it for that. If that's the case, they should remember
that Precise will be supported for 5 years. Can you imagine us still
talking in this thread about this bug in 2017? I wish I was a developer so
I could fix it myself...

2012/5/21 Joaquin <email address hidden>

> Can't be extracted from Ubuntu 11.04 Unity's sources?
> El 21/05/2012 10:21, "Vincent" <email address hidden> escribió:
>
> > I don't need to put my 2c or sarcasm here, but bug is a year and a month
> > older than my son. Anyone going to fix this or should we start a Fund
> > for School fees?
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (963548).
> > https://bugs.launchpad.net/bugs/607796
> >
> > Title:
> > Dragging and holding a selection over an entry in the Launcher should
> > spread out windows belonging to that application
> >
> > Status in Ayatana Design:
> > Fix Committed
> > Status in Unity:
> > Confirmed
> > Status in Unity 2D:
> > Triaged
> > Status in “unity” package in Ubuntu:
> > Triaged
> > Status in “unity-2d” package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > If the user drags and hold a file over a running application in the
> > Launcher, all the documents of that application should be shown with
> > expose'. Add dismiss behavior on the specs.
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (870769).
> https://bugs.launchpad.net/bugs/607796
>
> Title:
> Dragging and holding a selection over an entry in the Launcher should
> spread out windows belonging to that application
>
> Status in Ayatana Design:
> Fix Committed
> Status in Unity:
> Confirmed
> Status in Unity 2D:
> Triaged
> Status in “unity” package in Ubuntu:
> Triaged
> Status in “unity-2d” package in Ubuntu:
> Triaged
>
> Bug description:
> If the user drags and hold a file over a running application in the
> Launcher, all the documents of that application should be shown with
> expose'. Add dismiss behavior on the specs.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
>

--
Pablo Almeida
http://www.google.com/profiles/pabloalmeidaff9

I don't see conflicts with the spread design (http://design.canonical.com/2012/03/task-switching-in-ubuntu-and-a-introduction-to-the-spread/). The drag & drop onto the launcher should trigger compiz scale, spread or whatever type of window switcher. And of course then dragging onto the appropriate window should bring that to front - whatever type of window switcher used when clicking (or dragging in this case) onto the launcher icon.

And yes, I also wondered very much that this does not work on Unity. When I tested earlier versions of Unity I wasn't either reporting that as a bug as I was sure they know and fill finish that until 12.04 final.

But by all this complaining about unity, let me say that I evaluated all the desktop environments around for several times lately and came back to unity. There are several very nice features and I fully understand Canonical for doing their own way. The best alternatives around do - more or less - copy Windows (again). Unity has a few core features that make the difference in being more productive than on Windows.

Remember: Desktop, Task and window switching features are core features of a desktop environment. For people just using one app during the day it is pretty irrelevant which DE they use. For all those using more apps and more windows opened on more desktops the OS that will win the OS war will be that to handle this more efficiently. And I think Unity is on a good way.

But of course, missing functionality like this to be fixed ASAP - not just for the next Ubuntu-Version!

Is this bug confirmed to Unity for Ubuntu 12.04?

On Tue, Jun 19, 2012 at 10:51 PM, Damián Nohales
<email address hidden> wrote:
> Is this bug confirmed to Unity for Ubuntu 12.04?

If my confirmation is enough to you, yes. ;-) - I am using 12.04 with
latest updates and for me it does not work - neither with files nor
with text.

Best regards, Martin.

This is a bug I have confirmed in every machine I ever tried since Ubuntu
11.10, in every possible state.

2012/6/19 Martin Wildam <email address hidden>

> On Tue, Jun 19, 2012 at 10:51 PM, Damián Nohales
> <email address hidden> wrote:
> > Is this bug confirmed to Unity for Ubuntu 12.04?
>
> If my confirmation is enough to you, yes. ;-) - I am using 12.04 with
> latest updates and for me it does not work - neither with files nor
> with text.
>
> Best regards, Martin.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (870769).
> https://bugs.launchpad.net/bugs/607796
>
> Title:
> Dragging and holding a selection over an entry in the Launcher should
> spread out windows belonging to that application
>
> Status in Ayatana Design:
> Fix Committed
> Status in Unity:
> Confirmed
> Status in Unity 2D:
> Triaged
> Status in “unity” package in Ubuntu:
> Triaged
> Status in “unity-2d” package in Ubuntu:
> Triaged
>
> Bug description:
> If the user drags and hold a file over a running application in the
> Launcher, all the documents of that application should be shown with
> expose'. Add dismiss behavior on the specs.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
>

--
Pablo Almeida
http://www.google.com/profiles/pabloalmeidaff9

Nothing new on this one? Our company should migrate from 10.04 to 12.04 this summer, but this bug is the biggest show stopper since our applications rely heavily on dnd. I really don't want to put gnome fallback session or migrate to another distro just because this one can't be fixed.

John Lea (johnlea) on 2012-06-28
Changed in unity:
status: Confirmed → Triaged
1 comments hidden view all 122 comments

@robi-hipnos and @pabloalmeidaff9; This is still on our todo list, but there are several bugs in this area that need to be fixed before it can be re-enabled. When it gets fixed really depends on finding someone to fix it, so if you are interested in working on this and submitting some patches it would be much appreciated ;-) If you need some advice on how to get started contributing to Ubuntu contact jcastro or njpatel on #ubuntu-desktop on Freenode IRC.

Robert Hrovat (robi-hipnos) wrote :

Basically you're saying that Unity is being developed without developers who can fix the mess underneath?
I didn't mean to criticise and if I was a developer I'd gladly help, but Ubuntu kind of forced us to use Unity which now seems to be only half finished. Nobody I know wants to switch to newer versions because desktop alternatives are as crappy as Unity itself so they stick to old releases which will soon become a security issue when support is dropped. We are not really facing a bright future here, don't we?

John Lea (johnlea) on 2012-06-29
description: updated
Changed in unity:
assignee: Jason Smith (jassmith) → nobody
John Lea (johnlea) on 2012-07-02
description: updated
Omer Akram (om26er) on 2012-07-09
Changed in unity-2d:
assignee: Olivier Tilloy (osomon) → nobody
Omer Akram (om26er) on 2012-07-09
Changed in unity-2d (Ubuntu):
status: Triaged → Won't Fix
Changed in unity-2d:
status: Triaged → Invalid
John Lea (johnlea) on 2012-08-10
no longer affects: unity-2d (Ubuntu)
affects: unity-2d → compiz-core-ubuntu
description: updated
Tim Penhey (thumper) on 2012-09-14
Changed in unity:
milestone: backlog → none
Tim Penhey (thumper) on 2012-09-14
tags: added: exbacklog
John Lea (johnlea) on 2012-09-14
no longer affects: compiz-core-ubuntu
Changed in unity:
milestone: none → backlog
John Lea (johnlea) on 2012-10-10
Changed in ayatana-design:
importance: High → Critical
Changed in unity:
importance: High → Critical
Changed in unity (Ubuntu):
importance: High → Critical
summary: - Dragging and holding a selection over an entry in the Launcher should
- spread out windows belonging to that application
+ Launcher, Window management - Dragging and holding a selection over an
+ entry in the Launcher should spread out windows belonging to that
+ application
Tom Ato (tomato2-71) on 2012-10-30
Changed in hundredpapercuts:
status: New → Confirmed
Chris Wilson (notgary) on 2012-10-31
Changed in hundredpapercuts:
milestone: none → raring-round-3
Changed in ayatana-design:
status: Fix Committed → Fix Released
Balaji G (balajig81) on 2012-12-09
Changed in unity (Ubuntu):
status: Triaged → Fix Released
Changed in unity:
status: Triaged → Fix Committed
John Lea (johnlea) on 2012-12-10
Changed in ayatana-design:
status: Fix Released → Fix Committed
Changed in unity:
status: Fix Committed → Triaged
Changed in unity (Ubuntu):
status: Fix Released → Triaged
jura (zinlun) on 2013-01-07
Changed in unity (Ubuntu):
status: Triaged → Fix Committed
Changed in unity:
status: Triaged → Fix Released
Changed in hundredpapercuts:
status: Confirmed → Fix Released
Omer Akram (om26er) on 2013-01-07
Changed in unity:
status: Fix Released → Triaged
Changed in unity (Ubuntu):
status: Fix Committed → Triaged
Stephen M. Webb (bregma) on 2013-02-14
Changed in unity (Ubuntu):
importance: Critical → High
Changed in unity:
importance: Critical → High
42 comments hidden view all 122 comments
Isiah Meadows (impinball) wrote :

As far as I know, this feature in its entirety does not exist in 13.04, even in a broken state. I do have a few questions regarding this:
1. Is this functionality even supposed to exist in any form on this version?
2. If it is, how can I tell if it actually does exist?
3. If it does exist, how would I be able to ensure that it is actually working?

This feature is waiting for a volunteer to step up and implement it. I did
not try it because I have no knowledge of Unity and Compiz and the sorts
whatsoever and am already engaged into other Ubuntu project of my own, but
it seems strange to me that nobody did yet because.

1. It is obvious that the lack of this feature is of huge impact for the
desktop usefulness of Ubuntu.
2. It is a REGRESSION. This feature was present in Unity on Ubuntu 11.04.
3. I might be very wrong but this seems like an easy fix. All one has to do
is capture the event of a mouse-hover while dragging something to trigger
the Spread animation in compiz, filtering it to display only the windows
belonging to the application being hovered. Somehow this looks like a
simple hack to me, but I might be wrong.

Can someone confirm it's only that? Because if it is, then I might do it by
the weekend, I guess?

2013/7/11 Isiah Meadows <email address hidden>

> As far as I know, this feature in its entirety does not exist in 13.04,
> even in a broken state. I do have a few questions regarding this:
> 1. Is this functionality even supposed to exist in any form on this
> version?
> 2. If it is, how can I tell if it actually does exist?
> 3. If it does exist, how would I be able to ensure that it is actually
> working?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (870769).
> https://bugs.launchpad.net/bugs/607796
>
> Title:
> Launcher, Window management - Dragging and holding a selection over an
> entry in the Launcher should spread out windows belonging to that
> application
>
> Status in Ayatana Design:
> Fix Committed
> Status in One Hundred Paper Cuts:
> Fix Released
> Status in Unity:
> Triaged
> Status in “unity” package in Ubuntu:
> Triaged
>
> Bug description:
> If the user drags and hold a file over a running application in the
> Launcher, all the windows of that application should be shown with the
> spread. The user should then be able to drag and drop the file in a
> windows in the spread to load the file into that specific window.
>
> Bug #727903 needs to be fixed at the same time.
>
> -----------------------------------------------
>
> History:
>
> This bug had been previously fixed as "buggybutclosed" for Unity on
> 2011-04-18, leaving this function with other bugs:
> https://bugs.launchpad.net/ayatana-design/+bug/727903
> https://bugs.launchpad.net/ayatana-design/+bug/727904
> https://bugs.launchpad.net/ayatana-design/+bug/727902
> https://bugs.launchpad.net/ayatana-design/+bug/764424
>
> On 2011-10-18, it was reopened for regression in Oneiric.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
>

--
Pablo Almeida
http://www.google.com/profiles/pabloalmeidaff9

Hamza (ckr-hamza) wrote :

Will this land in 13.10? It must not be that hard. This bug should have been fixed already. Unity launcher can perceive a file you are trying to drag and drop from a nautilus window. We can drag&drop a file to the trash icon, and it works.

This bug makes Unity useless. If we want to drag&drop a file from Archieve Manager to desktop, we have to make all windows minimized or to open the Desktop directory in a nautilus window, why?

As Pablo Almeida wrote, this must be an easy fix, obviously.

John Lea (johnlea) wrote :

@ckr-hamza; it will be fixed as soon as somebody volunteers to work on it. Are you offering to help? Patches gratefully accepted :-)

Hamza (ckr-hamza) wrote :

@johnlea ; as said above, @pabloalmeidaff9 wants a confirmation to start trying to fix this bug. I stated I agreed with him, giving some additional information. I think, the information I gave about the trash icon would be helpful for someone who will try to fix it.

What I posted was a comment and comments must be gratefully accepted, too.

Here are the files i think relevant for creating a SpreadOnDndHover-function:

In launcher/LauncherIcon.cpp, Line 116:
   mouse_enter.connect(sigc::mem_fun(this, &LauncherIcon::RecvMouseEnter));
seems to handle all clicks and mouseovers for quickmenu and handles collision by itself.

In launcher/Launcher.cpp, Line 2585:
   void Launcher::ProcessDndMove(int x, int y, std::list<char*> mimes)
and Line 2692:
   hovered_icon->SendDndEnter();

The scale function (ScaleWindowGroup) is called multiple times in `src/ApplicationLauncherIcon.cpp` and defined in `unity-shared/PluginAdapter.cpp:880`.

I hope all that is left to do is create a timer (and maybe a collision-case) for `ProcessDndMove`, call the akready implemented `ScaleWindowGroup` and add an action for `DndLeave` if (spread=true).

Unfortunatle I don't have the time nor experience to work on it myself right now, but hope I could point somebody to the right places to look at.

infernet (guattari) wrote :

This is bug is over three years old. Is someone working on this? Drag and drop is a basic functionality of every modern desktop. I can't believe no one has worked on this for three years, when there are even comments from Mark Shuttleworth about the criticality of this issue.

Joaquin (jknvv13) wrote :

I think ubuntu missed every basic feature on their desktop.
El 20/09/2013 10:11, "infernet" <email address hidden> escribió:

> This is bug is over three years old. Is someone working on this? Drag
> and drop is a basic functionality of every modern desktop. I can't
> believe no one has worked on this for three years, when there are even
> comments from Mark Shuttleworth about the criticality of this issue.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (963548).
> https://bugs.launchpad.net/bugs/607796
>
> Title:
> Launcher, Window management - Dragging and holding a selection over an
> entry in the Launcher should spread out windows belonging to that
> application
>
> Status in Ayatana Design:
> Fix Committed
> Status in One Hundred Paper Cuts:
> Fix Released
> Status in Unity:
> Triaged
> Status in “unity” package in Ubuntu:
> Triaged
>
> Bug description:
> If the user drags and hold a file over a running application in the
> Launcher, all the windows of that application should be shown with the
> spread. The user should then be able to drag and drop the file in a
> windows in the spread to load the file into that specific window.
>
> Bug #727903 needs to be fixed at the same time.
>
> -----------------------------------------------
>
> History:
>
> This bug had been previously fixed as "buggybutclosed" for Unity on
> 2011-04-18, leaving this function with other bugs:
> https://bugs.launchpad.net/ayatana-design/+bug/727903
> https://bugs.launchpad.net/ayatana-design/+bug/727904
> https://bugs.launchpad.net/ayatana-design/+bug/727902
> https://bugs.launchpad.net/ayatana-design/+bug/764424
>
> On 2011-10-18, it was reopened for regression in Oneiric.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
>

I'm experiencing this bug still in 13.10.

1 comments hidden view all 122 comments
Duke (duke1995) wrote :

Apparently this bug is not fixed yet. As Ubuntu 14.04 LTS will still be shipping with Unity 7, I hope it will be fixed by then. Unfortunately I don't have the necessary skills to do it myself. Thanks a lot in advance to the person who can get it fixed, I think it would really improve the Unity user experience.

It is very sad to see a 3 years old critical issue abandoned.

Reminds me of this *7 years* old issue from OpenOffice Project: https://issues.apache.org/ooo/show_bug.cgi?id=5608

Maybe we are going that way? :P

Mark Shuttleworth (sabdfl) wrote :

Yeah, this is one of my favourite issues too, but I'm reliably told it's
a ton of work in X and we should just nail this in Unity8.

Mark

Changed in unity:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
mmalmeida (mmalmeida) wrote :

Interestng Mark.

So this probably won't go into 14.04. It is a pitty - I think that losing the ability to drag and drop from one place to the other (and to/from file roller in particular) is a massive productivity loss (at least in my company)!

Joaquin (jknvv13) wrote :

A thing that I don't know is why this bug is being ignored since it was
created...

Why doesn't anyone knows about this annoying bug?
El 10/03/2014 17:01, "mmalmeida" <email address hidden> escribió:

> Interestng Mark.
>
> So this probably won't go into 14.04. It is a pitty - I think that
> losing the ability to drag and drop from one place to the other (and
> to/from file roller in particular) is a massive productivity loss (at
> least in my company)!
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (774240).
> https://bugs.launchpad.net/bugs/607796
>
> Title:
> Launcher, Window management - Dragging and holding a selection over an
> entry in the Launcher should spread out windows belonging to that
> application
>
> Status in Ayatana Design:
> Fix Committed
> Status in One Hundred Papercuts:
> Fix Released
> Status in Unity:
> Triaged
> Status in "unity" package in Ubuntu:
> Triaged
>
> Bug description:
> If the user drags and hold a file over a running application in the
> Launcher, all the windows of that application should be shown with the
> spread. The user should then be able to drag and drop the file in a
> windows in the spread to load the file into that specific window.
>
> Bug #727903 needs to be fixed at the same time.
>
> -----------------------------------------------
>
> History:
>
> This bug had been previously fixed as "buggybutclosed" for Unity on
> 2011-04-18, leaving this function with other bugs:
> https://bugs.launchpad.net/ayatana-design/+bug/727903
> https://bugs.launchpad.net/ayatana-design/+bug/727904
> https://bugs.launchpad.net/ayatana-design/+bug/727902
> https://bugs.launchpad.net/ayatana-design/+bug/764424
>
> On 2011-10-18, it was reopened for regression in Oneiric.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
>

Download full text (3.6 KiB)

People do know. Mark himself already commented on this thread.
On Mar 10, 2014 2:36 PM, "Joaquin" <email address hidden> wrote:

> A thing that I don't know is why this bug is being ignored since it was
> created...
>
> Why doesn't anyone knows about this annoying bug?
> El 10/03/2014 17:01, "mmalmeida" <email address hidden> escribió:
>
> > Interestng Mark.
> >
> > So this probably won't go into 14.04. It is a pitty - I think that
> > losing the ability to drag and drop from one place to the other (and
> > to/from file roller in particular) is a massive productivity loss (at
> > least in my company)!
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (774240).
> > https://bugs.launchpad.net/bugs/607796
> >
> > Title:
> > Launcher, Window management - Dragging and holding a selection over an
> > entry in the Launcher should spread out windows belonging to that
> > application
> >
> > Status in Ayatana Design:
> > Fix Committed
> > Status in One Hundred Papercuts:
> > Fix Released
> > Status in Unity:
> > Triaged
> > Status in "unity" package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > If the user drags and hold a file over a running application in the
> > Launcher, all the windows of that application should be shown with the
> > spread. The user should then be able to drag and drop the file in a
> > windows in the spread to load the file into that specific window.
> >
> > Bug #727903 needs to be fixed at the same time.
> >
> > -----------------------------------------------
> >
> > History:
> >
> > This bug had been previously fixed as "buggybutclosed" for Unity on
> > 2011-04-18, leaving this function with other bugs:
> > https://bugs.launchpad.net/ayatana-design/+bug/727903
> > https://bugs.launchpad.net/ayatana-design/+bug/727904
> > https://bugs.launchpad.net/ayatana-design/+bug/727902
> > https://bugs.launchpad.net/ayatana-design/+bug/764424
> >
> > On 2011-10-18, it was reopened for regression in Oneiric.
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (870769).
> https://bugs.launchpad.net/bugs/607796
>
> Title:
> Launcher, Window management - Dragging and holding a selection over an
> entry in the Launcher should spread out windows belonging to that
> application
>
> Status in Ayatana Design:
> Fix Committed
> Status in One Hundred Papercuts:
> Fix Released
> Status in Unity:
> Triaged
> Status in "unity" package in Ubuntu:
> Triaged
>
> Bug description:
> If the user drags and hold a file over a running application in the
> Launcher, all the windows of that application should be shown with the
> spread. The user should then be able to drag and drop the file in a
> windows in the spread to load the file into that specific window.
>
> Bug #727903 needs to be fixed at the same time.
>
> -----------------------------------------------
>
> History:
>
> This bug had been previously fixed as "buggybutclosed" for Unity on
> 2011-...

Read more...

Joaquin (jknvv13) wrote :
Download full text (5.4 KiB)

Yep, also people know about global heating, but doesn't make any change.
El 10/03/2014 18:55, "Pablo Almeida" <email address hidden> escribió:

> People do know. Mark himself already commented on this thread.
> On Mar 10, 2014 2:36 PM, "Joaquin" <email address hidden> wrote:
>
> > A thing that I don't know is why this bug is being ignored since it was
> > created...
> >
> > Why doesn't anyone knows about this annoying bug?
> > El 10/03/2014 17:01, "mmalmeida" <email address hidden> escribió:
> >
> > > Interestng Mark.
> > >
> > > So this probably won't go into 14.04. It is a pitty - I think that
> > > losing the ability to drag and drop from one place to the other (and
> > > to/from file roller in particular) is a massive productivity loss (at
> > > least in my company)!
> > >
> > > --
> > > You received this bug notification because you are subscribed to a
> > > duplicate bug report (774240).
> > > https://bugs.launchpad.net/bugs/607796
> > >
> > > Title:
> > > Launcher, Window management - Dragging and holding a selection over
> an
> > > entry in the Launcher should spread out windows belonging to that
> > > application
> > >
> > > Status in Ayatana Design:
> > > Fix Committed
> > > Status in One Hundred Papercuts:
> > > Fix Released
> > > Status in Unity:
> > > Triaged
> > > Status in "unity" package in Ubuntu:
> > > Triaged
> > >
> > > Bug description:
> > > If the user drags and hold a file over a running application in the
> > > Launcher, all the windows of that application should be shown with
> the
> > > spread. The user should then be able to drag and drop the file in a
> > > windows in the spread to load the file into that specific window.
> > >
> > > Bug #727903 needs to be fixed at the same time.
> > >
> > > -----------------------------------------------
> > >
> > > History:
> > >
> > > This bug had been previously fixed as "buggybutclosed" for Unity on
> > > 2011-04-18, leaving this function with other bugs:
> > > https://bugs.launchpad.net/ayatana-design/+bug/727903
> > > https://bugs.launchpad.net/ayatana-design/+bug/727904
> > > https://bugs.launchpad.net/ayatana-design/+bug/727902
> > > https://bugs.launchpad.net/ayatana-design/+bug/764424
> > >
> > > On 2011-10-18, it was reopened for regression in Oneiric.
> > >
> > > To manage notifications about this bug go to:
> > > https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
> > >
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (870769).
> > https://bugs.launchpad.net/bugs/607796
> >
> > Title:
> > Launcher, Window management - Dragging and holding a selection over an
> > entry in the Launcher should spread out windows belonging to that
> > application
> >
> > Status in Ayatana Design:
> > Fix Committed
> > Status in One Hundred Papercuts:
> > Fix Released
> > Status in Unity:
> > Triaged
> > Status in "unity" package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > If the user drags and hold a file over a running application in the
> > Launcher, all the windows of that application should be shown with the
> > spread. The user should ...

Read more...

Download full text (7.4 KiB)

I've tried taking a look at Unity's code once but I couldn't understand
anything. It's poorly commented, I couldn't find documentation or someone
to help me at the mailing lists. Then I gave up.
On Mar 10, 2014 3:05 PM, "Joaquin" <email address hidden> wrote:

> Yep, also people know about global heating, but doesn't make any change.
> El 10/03/2014 18:55, "Pablo Almeida" <email address hidden> escribió:
>
> > People do know. Mark himself already commented on this thread.
> > On Mar 10, 2014 2:36 PM, "Joaquin" <email address hidden> wrote:
> >
> > > A thing that I don't know is why this bug is being ignored since it was
> > > created...
> > >
> > > Why doesn't anyone knows about this annoying bug?
> > > El 10/03/2014 17:01, "mmalmeida" <email address hidden> escribió:
> > >
> > > > Interestng Mark.
> > > >
> > > > So this probably won't go into 14.04. It is a pitty - I think that
> > > > losing the ability to drag and drop from one place to the other (and
> > > > to/from file roller in particular) is a massive productivity loss (at
> > > > least in my company)!
> > > >
> > > > --
> > > > You received this bug notification because you are subscribed to a
> > > > duplicate bug report (774240).
> > > > https://bugs.launchpad.net/bugs/607796
> > > >
> > > > Title:
> > > > Launcher, Window management - Dragging and holding a selection over
> > an
> > > > entry in the Launcher should spread out windows belonging to that
> > > > application
> > > >
> > > > Status in Ayatana Design:
> > > > Fix Committed
> > > > Status in One Hundred Papercuts:
> > > > Fix Released
> > > > Status in Unity:
> > > > Triaged
> > > > Status in "unity" package in Ubuntu:
> > > > Triaged
> > > >
> > > > Bug description:
> > > > If the user drags and hold a file over a running application in the
> > > > Launcher, all the windows of that application should be shown with
> > the
> > > > spread. The user should then be able to drag and drop the file in a
> > > > windows in the spread to load the file into that specific window.
> > > >
> > > > Bug #727903 needs to be fixed at the same time.
> > > >
> > > > -----------------------------------------------
> > > >
> > > > History:
> > > >
> > > > This bug had been previously fixed as "buggybutclosed" for Unity on
> > > > 2011-04-18, leaving this function with other bugs:
> > > > https://bugs.launchpad.net/ayatana-design/+bug/727903
> > > > https://bugs.launchpad.net/ayatana-design/+bug/727904
> > > > https://bugs.launchpad.net/ayatana-design/+bug/727902
> > > > https://bugs.launchpad.net/ayatana-design/+bug/764424
> > > >
> > > > On 2011-10-18, it was reopened for regression in Oneiric.
> > > >
> > > > To manage notifications about this bug go to:
> > > > https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
> > > >
> > >
> > > --
> > > You received this bug notification because you are subscribed to a
> > > duplicate bug report (870769).
> > > https://bugs.launchpad.net/bugs/607796
> > >
> > > Title:
> > > Launcher, Window management - Dragging and holding a selection over
> an
> > > entry in the Launcher should spread out windows belonging to that
> > > application...

Read more...

Download full text (7.8 KiB)

Also, it is in C. But not your plain C. THAT kind of C.
On Mar 10, 2014 3:09 PM, "<email address hidden>" <
<email address hidden>> wrote:

> I've tried taking a look at Unity's code once but I couldn't understand
> anything. It's poorly commented, I couldn't find documentation or someone
> to help me at the mailing lists. Then I gave up.
> On Mar 10, 2014 3:05 PM, "Joaquin" <email address hidden> wrote:
>
>> Yep, also people know about global heating, but doesn't make any change.
>> El 10/03/2014 18:55, "Pablo Almeida" <email address hidden>
>> escribió:
>>
>> > People do know. Mark himself already commented on this thread.
>> > On Mar 10, 2014 2:36 PM, "Joaquin" <email address hidden> wrote:
>> >
>> > > A thing that I don't know is why this bug is being ignored since it
>> was
>> > > created...
>> > >
>> > > Why doesn't anyone knows about this annoying bug?
>> > > El 10/03/2014 17:01, "mmalmeida" <email address hidden>
>> escribió:
>> > >
>> > > > Interestng Mark.
>> > > >
>> > > > So this probably won't go into 14.04. It is a pitty - I think that
>> > > > losing the ability to drag and drop from one place to the other (and
>> > > > to/from file roller in particular) is a massive productivity loss
>> (at
>> > > > least in my company)!
>> > > >
>> > > > --
>> > > > You received this bug notification because you are subscribed to a
>> > > > duplicate bug report (774240).
>> > > > https://bugs.launchpad.net/bugs/607796
>> > > >
>> > > > Title:
>> > > > Launcher, Window management - Dragging and holding a selection
>> over
>> > an
>> > > > entry in the Launcher should spread out windows belonging to that
>> > > > application
>> > > >
>> > > > Status in Ayatana Design:
>> > > > Fix Committed
>> > > > Status in One Hundred Papercuts:
>> > > > Fix Released
>> > > > Status in Unity:
>> > > > Triaged
>> > > > Status in "unity" package in Ubuntu:
>> > > > Triaged
>> > > >
>> > > > Bug description:
>> > > > If the user drags and hold a file over a running application in
>> the
>> > > > Launcher, all the windows of that application should be shown with
>> > the
>> > > > spread. The user should then be able to drag and drop the file in
>> a
>> > > > windows in the spread to load the file into that specific window.
>> > > >
>> > > > Bug #727903 needs to be fixed at the same time.
>> > > >
>> > > > -----------------------------------------------
>> > > >
>> > > > History:
>> > > >
>> > > > This bug had been previously fixed as "buggybutclosed" for Unity
>> on
>> > > > 2011-04-18, leaving this function with other bugs:
>> > > > https://bugs.launchpad.net/ayatana-design/+bug/727903
>> > > > https://bugs.launchpad.net/ayatana-design/+bug/727904
>> > > > https://bugs.launchpad.net/ayatana-design/+bug/727902
>> > > > https://bugs.launchpad.net/ayatana-design/+bug/764424
>> > > >
>> > > > On 2011-10-18, it was reopened for regression in Oneiric.
>> > > >
>> > > > To manage notifications about this bug go to:
>> > > >
>> https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
>> > > >
>> > >
>> > > --
>> > > You received this bug notification because you are subscribed to a
>> > > duplicate bug repor...

Read more...

description: updated
Changed in unity:
milestone: backlog → 7.2.1
Changed in unity (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in unity:
status: Triaged → In Progress
Changed in unity (Ubuntu):
status: Triaged → In Progress
Changed in compiz:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
importance: Undecided → High
milestone: none → 0.9.11.0
status: New → In Progress
Changed in compiz (Ubuntu):
status: New → In Progress
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
tags: added: dnd
Khurshid Alam (khurshid-alam) wrote :

In Progress? Wow! I would love to see this bug gets fixed in Trusty.

Changed in compiz (Ubuntu):
importance: Undecided → High
Stephen M. Webb (bregma) on 2014-06-04
Changed in unity:
milestone: 7.2.1 → 7.2.2
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.11+14.10.20140606-0ubuntu1

---------------
compiz (1:0.9.11+14.10.20140606-0ubuntu1) utopic; urgency=low

  [ Chris Townsend ]
  * Only ungrab the Mod2Mask modifier on buttons 4-7 to allow scrolling
    in unfocused Gtk windows while still allowing keybinding modifiers
    to other scroll wheel actions. (LP: #1311788)
  * Fix issue where window decorations would be placed under the Panel
    when opening a new window from an already open window. This is due
    to the already open window being taller or just as tall without be
    maximized than the workspace. (LP: #1303462)
  * Only constrain the non-modifier scrolling to the vertical scrolling
    buttons - buttons 4 & 5. (LP: #1311303)
  * Fix issue where maximized windows would get moved to different
    workspaces when disconnecting/connecting an external monitor.
    Windows should stay in the same workspace they are in when the
    monitor event occurs. (LP: #1304531)
  * Fix issue where custom keyboard shortcuts would get reset to
    defaults when rebooting or restarting Compiz. (LP: #1063617)
  * Fixes issue in the Expo plugin where a gap is shown in the place
    where the Launcher and Panel should be when windows are maximized.
    This was originally removed in rev. 3481. (LP: #1087090)
  * Fix issue where horizontal and vertical keyboard resizing could not
    happen at the same time. (LP: #347390)

  [ Marco Trevisan (Treviño) ]
  * Scale: use XShape extension to exclude dnd input in the screen-parts
    outside workArea This will work property also in multi-monitor,
    without requiring multiple X windows for each output device. Also
    don't terminate the scale unless a drag-n-drop action is not really
    over. Add a spinner that shows up over a window, during the DnD
    timeout. Plus, make sure we terminate the scale without focusing the
    selected icon when cancelling it and some code cleanup (LP: #607796)
  * Event: set the screen grabbed also when we get a NotifyWhileGrabbed
    Focus{In,Out} event (LP: #1305586)
 -- Ubuntu daily release <email address hidden> Fri, 06 Jun 2014 09:43:06 +0000

Changed in compiz (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.2.0+14.10.20140606.1-0ubuntu1

---------------
unity (7.2.0+14.10.20140606.1-0ubuntu1) utopic; urgency=low

  [ Alfred Neumayer ]
  * Restore the launcher position by reversing the animation and
    unsetting the DND_PUSHED_OFF quirk. (LP: #1304882)

  [ Brandon Schaefer ]
  * TextInput: move the warning icon inside the input field, render it
    white (LP: #1307738)
  * ShutdownView: Scale up the Buttons and Text plus Borders of the
    UnityWindowView. (LP: #1308323)
  * Lockscreen warning icon needs a tooltip to say what the warning is
    about! (LP: #1308288)

  [ Marco Trevisan (Treviño) ]
  * ApplicationLauncherIcon: Focus and, in case, Spread the windows on
    DnD After 1 second that an user is over an icon, that icon should
    focus the relative application and Spread its windows if it has more
    than one opened. Correctly handle the DnD scale in launcher, and
    apply glow to the icon under pointer. (LP: #607796)
  * SwitcherView: use RawPixel's for the size values and convert them to
    match current scaling (LP: #1317348)

  [ Chris Townsend ]
  * Fix issue where scaling the edge illumination up and down with the
    size of the Launcher icons would cause the illumination border to be
    offset and smaller than the icon. (LP: #1309739)
 -- Ubuntu daily release <email address hidden> Fri, 06 Jun 2014 13:55:32 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Stephen M. Webb (bregma) on 2014-06-06
Changed in unity:
milestone: 7.2.2 → 7.3.0
Changed in unity:
status: In Progress → Fix Committed
Changed in compiz:
status: In Progress → Fix Committed

Is this really fixed with the release of new packages in Utopic or does the Bug #727903 needs to be fixed also or is some other pieces missing.

I'm asking because when trying out latest Utopic image (from 9th June) in live mode the DnD didn't work, there was no spread of windows only the icon gets highlighted. Also I had very bad graphics glitches after dropping files on icons where two or more programs were open (for example two Gedit windows).

Make sure you've all the compiz packages at revision 1:0.9.11+14.10.20140606-0ubuntu2

Yes all the compiz packages are at that revision. I attached screenshot of Synaptic.

Also Unity is at version 7.2.0+14.10.20140606.1-0ubuntu1.

2014-06-10 18:54 GMT+02:00 Mateusz Stachowski <email address hidden>:
> Yes all the compiz packages are at that revision. I attached screenshot
> of Synaptic.

True, it looks like that merging different branches caused one line
diff not to go in trunk, thus this is not working. I'm preparing a
fixed branch right now. Thanks for the testing.

Changed in compiz:
milestone: 0.9.11.0 → 0.9.12.0
Stephen M. Webb (bregma) on 2014-06-20
Changed in unity:
status: Fix Committed → Fix Released

I checked the newest Utopic daily live image and everything works now as it should.

Now we just need the Bug #727903 to be fixed and DnD will be perfect in Unity 7.

description: updated

The Unity 7.2.2 SRU debdiff.

description: updated

The Compiz 0.9.11.2 SRU debdiff.

description: updated

Hello Christian, or anyone else affected,

Accepted compiz into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/compiz/1:0.9.11.2+14.04.20140714-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in compiz (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Sami Jaktholm (sjakthol) wrote :

The version from trusty-proposed works.

tags: added: verification-done
removed: verification-needed

Hi, I'm trying the last unity version from trusty-proposed, and I find a little defect.

Try opening 2 or more windows of the same app (for example nautilus/file manager) in two different workspaces. Now from one of those workspaces DnD something to the related icon on the Launcher: the spread will show only the windows in that workspace. I think this is not a correct behavior.

Michele,

Well, I thought about that when implementing it, and I was a little undecided, but I think this is actually the correct behavior considering the way that workspaces are handled in unity, where they're always a "different world" (so this is for alt-tab, and launcher).
So, in the same way you won't be able to switch - using the mouse - to a secondary instance of an application that is open in a different workspace, using the DnD should not behave differently.

So, in terms of consistency I think we're right. Although I understand there's a loose of functionality (and no, pressing ctrl+alt+arrow to switch workspace when dragging something is not convenient). so I think we maybe could allow this when pressing Ctrl when clicking/DnD'ing over an icon, or something like that.

Feel free to open a new bug, including ayatana-design.

Hi Marco,

After I posted the comment I thought that your implementation was similar
to the mouse-clicking policy, so I thought maybe it was the expected
behavior. Now you confirmed me it was :)

Thank you for your answer, is not too common for Ubuntu developers to reply
in such short time.
Keep up the good work

2014-07-21 21:30 GMT+02:00 Marco Trevisan (Treviño) <mail@3v1n0.net>:

> Michele,
>
> Well, I thought about that when implementing it, and I was a little
> undecided, but I think this is actually the correct behavior considering
> the way that workspaces are handled in unity, where they're always a
> "different world" (so this is for alt-tab, and launcher).
> So, in the same way you won't be able to switch - using the mouse - to a
> secondary instance of an application that is open in a different workspace,
> using the DnD should not behave differently.
>
> So, in terms of consistency I think we're right. Although I understand
> there's a loose of functionality (and no, pressing ctrl+alt+arrow to
> switch workspace when dragging something is not convenient). so I think
> we maybe could allow this when pressing Ctrl when clicking/DnD'ing over
> an icon, or something like that.
>
> Feel free to open a new bug, including ayatana-design.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/607796
>
> Title:
> Launcher, Window management - Dragging and holding a selection over an
> entry in the Launcher should spread out windows belonging to that
> application
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
>

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.11.2+14.04.20140714-0ubuntu1

---------------
compiz (1:0.9.11.2+14.04.20140714-0ubuntu1) trusty; urgency=medium

  [ Chris Townsend ]
  * Bump version to 0.9.11.2.

  [ Marco Trevisan (Treviño) ]
  * Scale: use XShape extension to exclude dnd input in the screen-parts
    outside workArea This will work property also in multi-monitor,
    without requiring multiple X windows for each output device. Also
    don't terminate the scale unless a drag-n-drop action is not really
    over. Add a spinner that shows up over a window, during the DnD
    timeout. Plus, make sure we terminate the scale without focusing the
    selected icon when cancelling it and some code cleanup (LP: #607796)
    (LP: #727904) (LP: #1308112)

  [ Ubuntu daily release ]
  * New rebuild forced
 -- Ubuntu daily release <email address hidden> Mon, 14 Jul 2014 14:36:56 +0000

Changed in compiz (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for compiz has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.2.2+14.04.20140714-0ubuntu1

---------------
unity (7.2.2+14.04.20140714-0ubuntu1) trusty; urgency=medium

  [ Alfred Neumayer ]
  * Restore the launcher position by reversing the animation and
    unsetting the DND_PUSHED_OFF quirk. (LP: #1304882)

  [ Brandon Schaefer ]
  * TextInput: move the warning icon inside the input field, render it
    white (LP: #1307738)
  * ShutdownView: Scale up the Buttons and Text plus Borders of the
    UnityWindowView. (LP: #1308323)
  * Lockscreen warning icon needs a tooltip to say what the warning is
    about! (LP: #1308288)

  [ Marco Trevisan (Treviño) ]
  * UnityScreen: always paint the lockscreen above, just add menu and
    onboard as exceptions Some code cleanup, factorizing similar code.
    (LP: #1313280)
  * ApplicationLauncherIcon: Focus and, in case, Spread the windows on
    DnD After 1 second that an user is over an icon, that icon should
    focus the relative application and Spread its windows if it has more
    than one opened. Correctly handle the DnD scale in launcher, and
    apply glow to the icon under pointer. (LP: #607796)
  * ShutdownView: Scale up the Buttons and Text plus Borders of the
    UnityWindowView. (LP: #1308323)
  * SwitcherView: use RawPixel's for the size values and convert them to
    match current scaling (LP: #1317348)
  * PluginAdapter: try to grab the screen to make sure that the screen
    is not grabbed FocusIn event with NotifyGrab mode is not always
    triggered by X when a window takes the grab, then we need to ensure
    that there's no grab by trying to get one. We only care about
    keyboard here, since pointer grabs don't affect us in general.
    (LP: #741869)
  * ShortcutView: use RawPixel's for the size values and convert them to
    match current scaling Plus dinamically allocate horizontal space,
    not to cut the text. (LP: #924840)

  [ Chris Townsend ]
  * Fix issue where scaling the edge illumination up and down with the
    size of the Launcher icons would cause the illumination border to be
    offset and smaller than the icon. (LP: #1309739)
  * Fix issue where the number of Launcher icon pips are not always
    properly updated when a new window of an already running application
    is opened. (LP: #1283775)
  * Fix issue where the Panel shadow would get drawn over drop down
    windows in full screen windows. (LP: #1316005)
  * Bump upstream release to 7.2.2.

  [ Andrea Azzarone ]
  * Clear the clipboard when locking the screen. (LP: #1308911)
  * Disable switcher gestures if screen is locked. Fixed a regression.
    (LP: #1321043)
  * Pass the correct options to showLauncherKeyTerminate in
    UnityScreen::OnLockScreen (LP: #1320438)
  * Fix skype indicator blinking. (LP: #1310200)
  * Add a warning in the session dialog if other sessions are still
    open. (LP: #1281058)

  [ Ubuntu daily release ]
  * New rebuild forced
 -- Ubuntu daily release <email address hidden> Mon, 14 Jul 2014 14:31:00 +0000

Changed in unity (Ubuntu Trusty):
status: New → Fix Released
Mossroy (mossroy) wrote :

Excellent!
That's a feature I was missing for a very long time.
It now works the way I expected.
Thanks a lot for fixing this!

Download full text (3.4 KiB)

Thanks for everyone involved. Mark must be happy. This was one of his
favorite bugs. :)

2014-07-24 2:55 GMT-03:00 Mossroy <email address hidden>:

> Excellent!
> That's a feature I was missing for a very long time.
> It now works the way I expected.
> Thanks a lot for fixing this!
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (870769).
> https://bugs.launchpad.net/bugs/607796
>
> Title:
> Launcher, Window management - Dragging and holding a selection over an
> entry in the Launcher should spread out windows belonging to that
> application
>
> Status in Ayatana Design:
> Fix Committed
> Status in Compiz:
> Fix Committed
> Status in Compiz 0.9.11 series:
> Fix Committed
> Status in One Hundred Papercuts:
> Fix Released
> Status in Unity:
> Fix Released
> Status in Unity 7.2 series:
> Fix Released
> Status in “compiz” package in Ubuntu:
> Fix Released
> Status in “unity” package in Ubuntu:
> Fix Released
> Status in “compiz” source package in Trusty:
> Fix Released
> Status in “unity” source package in Trusty:
> Fix Released
>
> Bug description:
> [Impact]
> If the user drags and hold a file over a running application in the
> Launcher, all the windows of that application should be shown with the
> spread. The user should then be able to drag and drop the file in a windows
> in the spread to load the file into that specific window.
>
> [Test Case]
> 1) Open two windows instances of the same application (say firefox)
> 2) Drag a file from the file-manager or the desktop and hover the
> firefox icon
> 3) After one second the firefox icon is hovered, the spread will occur
> 4) You should be able to hover one of the firefox windows and it should
> show a spinner, after 750ms (by default) the hovered windows should
> be focused
> and raised
> 5) You should now be able to drop the content you're dragging (if the
> selected
> application supports that content).
>
> [Regression Potential]
> This codepath was mostly disabled in the current compiz and unity code
> because it was buggy, so the regression potential is very low, although it
> might happen that, if some race-condition happens, when closing the scale
> the launcher might be still painted as if it would be in scale mode
> (desaturated) even if it's not the case anymore.
>
> *** SRU debdiff links ***
> The Unity SRU debdiff for this can be found at
> https://launchpadlibrarian.net/180013321/unity-7.2.2-trusty-sru.debdiff.
>
> The Compiz SRU debdiff for this can be found at
> https://launchpadlibrarian.net/180013356/compiz-0.9.11.2-trusty-
> sru.debdiff
>
> ###############################################
>
> Bug #727903 needs to be fixed at the same time.
>
> -----------------------------------------------
>
> History:
>
> This bug had been previously fixed as "buggybutclosed" for Unity on
> 2011-04-18, leaving this function with other bugs:
> https://bugs.launchpad.net/ayatana-design/+bug/727903
> https://bugs.launchpad.net/ayatana-design/+bug/727904
> https://bugs.launchpad.net/ayatana-design/+bug/727902
> https://bugs.launchpad.net/ayatana-design/...

Read more...

Stephen M. Webb (bregma) on 2014-11-06
Changed in compiz:
status: Fix Committed → Fix Released
Alket Rexhepi (alketii) wrote :

Finally , after 3 years of waiting, thanks to everyone involved.

On Thu, Nov 6, 2014 at 2:28 PM, Stephen M. Webb <email address hidden>
wrote:

> ** Changed in: compiz
> Status: Fix Committed => Fix Released
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/607796
>
> Title:
> Launcher, Window management - Dragging and holding a selection over an
> entry in the Launcher should spread out windows belonging to that
> application
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/607796/+subscriptions
>

--
*Alket Rexhepi*
*Developer*

*skype* alket.rexhepi

Displaying first 40 and last 40 comments. View all 122 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.